#!/usr/bin/env bash
# Thu 22 Sep 2016 13:59:03 CEST

source $(dirname ${0})/functions.sh

check_env PYPIUSER
check_env CI_BUILD_TAG

if [ -z "${PYPISERVER}" ]; then
  PYPISERVER="https://pypi.python.org"
fi

TESTSERVER=https://testpypi.python.org

dot_pypirc

setup check sdist --formats zip upload --repository staging

# if that worked, uploads documentation to pythonhosted if any exists
if [ -d sphinx ]; then
  log_info "Uploading documentation to pythonhosted on behalf of ${PYPIUSER}..."
  setup upload_docs --upload-dir sphinx
fi

# if that worked, uploads source package to the production index
log_info "Uploading package to ${PYPISERVER} on behalf of ${PYPIUSER}..."
setup check sdist --formats zip upload --repository production
