#!/usr/bin/env bash
# Wed 17 Aug 2016 13:50:05 CEST

# Set the versions here
CYVLFEAT="git+https://github.com/menpo/cyvlfeat@v0.4.5"
MENPO="pathlib==1.0 git+https://github.com/menpo/menpo@v0.7.3 git+https://github.com/menpo/menpofit@v0.4.1"

if [ "${#}" != 2 ]; then
  echo "usage: `basename $0` <basedir> <name>"
  echo "example: `basename $0` /opt/conda bob-devel-py34"
  exit 1
fi

echo "[>>] Activating conda environment ${2}..."
source ${1}/bin/activate ${2}

if [ "${?}" != 0 ]; then
  echo "[error] Activating conda environment - check your settings"
  exit 1
fi

echo "[>>] Generating wheels..."
if [ "$(uname)" == "Linux" ]; then
  CFLAGS="-I${CONDA_PREFIX}/include" LDFLAGS="-L${CONDA_PREFIX}/lib -lvl -Wl,-rpath=${CONDA_PREFIX}/lib" pip --no-cache-dir wheel --no-deps ${CYVLFEAT}
else
  CFLAGS="-I${CONDA_PREFIX}/include -mmacosx-version-min=10.9" LDFLAGS="-L${CONDA_PREFIX}/lib -lvl -Wl,-headerpad_max_install_names" pip --no-cache-dir wheel --no-deps ${CYVLFEAT}
fi
pip --no-cache-dir wheel --no-deps ${MENPO}
